import { Container } from '../scene/Container';
import { TextView } from './TextView';
import type { PointData } from '../../maths/PointData';
import type { PointLike } from '../../maths/PointLike';
import type { ContainerOptions } from '../scene/Container';
import type { HTMLTextStyle } from './HtmlTextStyle';
import type { TextStyle } from './TextStyle';
import type { AnyTextStyle, TextString, TextViewOptions } from './TextView';
export type TextOptions = ContainerOptions<TextView> & TextViewOptions;
export declare class Text extends Container<TextView> {
    /** @deprecated since 8.0.0 */
    constructor(text: TextString, options?: Partial<AnyTextStyle>);
    constructor(options: TextOptions);
    get anchor(): PointLike;
    set anchor(value: PointData);
    set text(value: TextString);
    get text(): string;
    set style(value: AnyTextStyle | Partial<AnyTextStyle>);
    get style(): AnyTextStyle;
}
/** @deprecated 8.0.0 */
export declare class BitmapText extends Text {
    /** @deprecated since 8.0.0 */
    constructor(text: TextString, options?: Partial<TextStyle>);
    constructor(options: TextOptions);
}
/** @deprecated since 8.0.0 */
export declare class HTMLText extends Text {
    /** @deprecated since 8.0.0 */
    constructor(text: TextString, options?: Partial<HTMLTextStyle>);
    constructor(options: TextOptions);
}
